# Generated by Django 3.2.5 on 2024-03-13 14:05

from django.db import migrations, models
import django.db.models.deletion
import lingua.fields


class Migration(migrations.Migration):

    dependencies = [
        ('sgpa', '0014_comment'),
    ]

    operations = [
        migrations.CreateModel(
            name='TreeOwner',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(default='', max_length=250)),
                ('name', lingua.fields.LinguaField(verbose_name='sgpa_tree_owner_name')),
            ],
        ),
        migrations.AddField(
            model_name='tree',
            name='owner',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.RESTRICT, to='sgpa.treeowner'),
        ),
    ]
